<?php include "includes/conexao.php";?>



<?php 
		   if(isset($_POST['submit_pay'])){
		
		      $valor = $_POST['valor'];
		      $conta_capital = $_POST['conta_capital'];
		      $taxas = $_POST['taxas'];
		     
			  $user = $_SESSION['nome'];
		      $now = date('Y-m-d');
		      $hora = date("H:i", mktime(gmdate("H")+2, gmdate("i"), gmdate("s"), gmdate("m"), gmdate("d"), gmdate("Y")));
			  
			  
			  if($valor == $total){
				  
				  $juros_deduzir = $juros;
				  $valor_sem_juros = $valor_credito;
			  }else{
			  
			  $juros_deduzir = $valor * $taxas;
			  $valor_sem_juros = $valor - $juros_deduzir;
			  }
			  
		$buscar_conta2 = "SELECT * FROM contas WHERE conta='$conta_capital'";
		$dados_ligar2 = mysqli_query($con,$buscar_conta2);
		$nice_query2 = mysqli_fetch_assoc($dados_ligar2);
		
		$saldo_actual_conta = $nice_query2['saldo'];
		$saldo_2 = $saldo_actual_conta + $valor_sem_juros;
		
 
			  $jonasse = "SELECT * FROM transacoes WHERE caixa='$conta_capital' ORDER BY ID DESC LIMIT 1";
			  $levanta = mysqli_query($con,$jonasse);
			  $ultimo = mysqli_fetch_assoc($levanta);
					  
			 $saldo_transacoes = $ultimo['saldo'];
					  
			$saldo_novo = $saldo_transacoes + $valor_sem_juros;
			  
			  
			  
			  
			  
			  
			  
			  $verifica_pagamentos = "SELECT * FROM pagamentos WHERE id_pagamento='$id_cliente' ORDER BY ID DESC LIMIT 1";
			  $linkar = mysqli_query($con,$verifica_pagamentos);
			  $row = mysqli_fetch_assoc($linkar);
			 
			 $saldo = $row['saldo'];
			  $contar = mysqli_num_rows($linkar);
			  
			  if($contar == ""){
				  
				  $saldo_actual = $total - $valor;
			  }else{
				  $saldo_actual = $saldo - $valor;
				  
			  }
			  
			 if($valor < 0){
				  
				  echo "<script>alert('Este numero e Negativo. Adicione numeros acima de 0')</script>";
				  echo "<script>window.open('pay.php?id=$id_cliente','_self')</script>";
			  }else{
		     
			 $insere = "INSERT INTO pagamentos(nome_cliente,valor_pago,id_pagamento,data,saldo,status)
			 VALUES('$cliente','$valor','$id_cliente','$now','$saldo_actual','Pago')";
			 $pagamentos = mysqli_query($con,$insere);
			 
			 $final = mysqli_query($con,"");
			 $tras = "INSERT INTO transacoes(descricao,saida,entrada,saldo,caixa,data,hora,user)
			 VALUES('Pagamento da prestacao de $cliente','0','$valor_sem_juros','$saldo_novo','$conta_capital','$now','$hora','$user')";
		      $query_it = mysqli_query($con,$tras);
			  
			  
			  if($query_it){
				  
				  $actualiza = "UPDATE contas SET saldo='$saldo_2' WHERE conta='$conta_capital'";
				  $men = mysqli_query($con,$actualiza);
				  
				  
				  echo "<script>alert('Credito de $cliente pago com sucesso')</script>";
				  echo "<script>window.open('pay.php?id=$id_cliente','_self')</script>";
				 }else{
					 
					echo "<script>alert('FALHA')</script>";
				  echo "<script>window.open('pay.php?id=$id_cliente','_self')</script>";
				 }
			    }
	           }
?>
		   


